std::future< _Res >(3cxx)

NAME
std::future< _Res > - Primary template for future.

SYNOPSIS

#include <future>

Inherits std::__basic_future< _Res >.

  Public Types

template<typename _Res > using _Ptr = unique_ptr< _Res, _Result_base::_Deleter >
A unique_ptr for result objects.
using _State_base = _State_baseV2

  Public Member Functions

future (const future &)=delete
future (future &&__uf) noexcept
Move constructor.
_Res get ()
Retrieving the value.
future & operator= (const future &)=delete
future & operator= (future &&__fut) noexcept
shared_future< _Res > share () noexcept
bool valid () const noexcept
void wait () const
template<typename _Rep , typename _Period > future_status wait_for (const chrono::duration< _Rep, _Period > &__rel) const
template<typename _Clock , typename _Duration > future_status wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

  Static Public Member Functions

template<typename _Res , typename _Allocator > static _Ptr< _Result_alloc< _Res, _Allocator > > _S_allocate_result (const _Allocator &__a)
template<typename _Res , typename _Tp > static _Ptr< _Result< _Res > > _S_allocate_result (const std::allocator< _Tp > &__a)
template<typename _Res_ptr , typename _BoundFn > static _Task_setter< _Res_ptr, _BoundFn > _S_task_setter (_Res_ptr &__ptr, _BoundFn &__call)

  Protected Types

typedef __future_base::_Result< _Res > & __result_type

  Protected Member Functions

__result_type _M_get_result () const
Wait for the state to be ready and rethrow any stored exception.
void _M_swap (__basic_future &__that) noexcept

  Friends

template<typename _Fn , typename... _Args> future< __async_result_of< _Fn, _Args... > > async (launch, _Fn &&, _Args &&...)
template<typename > class packaged_task
class promise< _Res >

Detailed Description

  template<typename _Res>
class std::future< _Res >"Primary template for future.

Member Typedef Documentation

  template<typename _Res > using std::__future_base::_Ptr = unique_ptr<_Res, _Result_base::_Deleter> [inherited]

A unique_ptr for result objects.

Constructor & Destructor Documentation

  template<typename _Res > std::future< _Res >::future (future< _Res > && __uf) [inline], [noexcept]

Move constructor.

Member Function Documentation

  template<typename _Res > __result_type std::__basic_future< _Res >::_M_get_result () const [inline], [protected], [inherited]

Wait for the state to be ready and rethrow any stored exception.

  template<typename _Res > _Res std::future< _Res >::get () [inline]

Retrieving the value.

Author

Generated automatically by Doxygen for libstdc++ from the source code.